package xn.hxp.http.api;

import androidx.annotation.NonNull;

import com.hjq.http.config.IRequestApi;

public class GetScanCodeApi implements IRequestApi {
    @NonNull
    @Override
    public String getApi() {
        return "/api/auth/getScanCode";
    }

    private String macId;
    private String code;
    private String subId;


    public GetScanCodeApi(String macId, String code, String subId) {
        this.macId = macId;
        this.code = code;
        this.subId = subId;
    }

    public String getMacId() {
        return macId;
    }

    public void setMacId(String macId) {
        this.macId = macId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getSubId() {
        return subId;
    }

    public void setSubId(String subId) {
        this.subId = subId;
    }
}
